Name:		ptrtd
Version:	0.5.2
Release:	2%{?dist}
Summary:	Portable Transport Relay Translator Daemon for IPv6

Group:		System Environment/Daemons
License:	GPLv2
URL:		http://www.litech.org/ptrtd/
Source0:	http://www.litech.org/ptrtd/dist/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts

%description
ptrtd is a TRT, as described by RFC 3142, used to translate TCP sessions
between IPv6 and IPv4.  It is similar in spirit to the faith/faithd TRT
implemented by the KAME project, but it is not tied to any particular IPv6
stack as faith is.  ptrtd uses a self-contained IPv6 stack to converse with
IPv6 nodes, and uses the standard kernel-based TCP/IP stack of the host
system to converse with IPv4 systems.  At the moment, ptrtd only supports
TCP sessions.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT/%{_initrddir}
%{__install} -p -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/%{_initrddir}/%{name}
%{__mkdir_p} $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
%{__install} -p -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}

%preun
if [ $1 -eq 0 ]; then
   /sbin/service %{name} stop >/dev/null 2&>1
   /sbin/chkconfig --del %{name}
fi

%postun
if [ $1 -ge 1 ]; then
   /sbin/service %{name} try-restart >/dev/null
fi

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_sbindir}/ptrtd
%{_sbindir}/tap802ipd
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}

%changelog
* Tue Aug 18 2009  <jrowens@ghiapet.net> - 0.5.2-1
- Initial build for Fedora 11

